/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <nostalgia/core/context.hpp>

namespace nostalgia::core {

struct GbaContext: public core::Context {

	turbine::Context *turbineCtx = nullptr;

	[[nodiscard]]
	const auto &rom() const noexcept {
		return *turbineCtx->rom;
	}

};

}